> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Loads of an Order

> Retrieve `Loads` of an `Order`.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/orders/{order-id}/loads
openapi: 3.0.3
info:
  title: Horizon API V1
  version: '1.0'
  contact:
    name: Tread
    url: https://tread.io
    email: developers@tread.io
  description: >-
    This is the Version 1 implementation.


    When in doubt we default to the practices outlined
    [here](https://www.vinaysahni.com/best-practices-for-a-pragmatic-restful-api#advanced-queries)
  license:
    name: Private
    url: https://tread.io
servers:
  - description: production
    url: https://api.tread-horizon.com
security:
  - bearerAuth: []
tags:
  - name: Projects
  - name: Orders
  - name: Loads
  - name: Jobs
  - name: JobAssignments
  - name: ApprovalAssignments
  - name: Equipment
  - name: FuelSurcharges
  - name: Materials
  - name: Accounts
  - name: Tickets
  - name: Users
  - name: Sites
  - name: Companies
  - name: Departments
  - name: Rates
  - name: Services
  - name: EquipmentType
  - name: FileAttachments
  - name: MaterialType
  - name: LineItemType
  - name: DriverStateEvent
  - name: Authentication
  - name: IamRoles
  - name: Typeaheads
  - name: Integrations
  - name: Reflection
  - name: LoadCycles
  - name: AddOns
  - name: ServiceClass
  - name: Invoices
  - name: JobSummaries
  - name: LoadSummaries
  - name: CompanyShares
  - name: UserDevicePermission
  - name: Drivers
  - name: Settlements
  - name: LocationHistories
  - name: Telematics
  - name: OmniReports
  - name: DriverDays
  - name: Agave
  - name: AddOnCharges
  - name: ResourceUsageLogs
  - name: ResourceScopes
  - name: TravelledDistances
  - name: MaterialRates
  - name: CompanyDayJobStats
  - name: KMLFiles
  - name: AutoAddOnAssignments
  - name: SiteRateSchedules
  - name: TwilioIntegrations
  - name: Foremen
  - name: AccountExternalTruckIdentifier
  - name: GeofenceTriggers
  - name: Labels
  - name: Compliance
  - name: ComplianceDocuments
paths:
  /v1/orders/{order-id}/loads:
    parameters:
      - schema:
          type: string
          format: uuid
        name: order-id
        in: path
        required: true
        description: Order ID
      - $ref: '#/components/parameters/Accept-Language'
    get:
      tags:
        - Loads
      summary: Retrieve Loads of an Order
      description: Retrieve `Loads` of an `Order`.
      operationId: get-v1-orders-order-id-loads
      parameters:
        - $ref: '#/components/parameters/page-limit'
        - $ref: '#/components/parameters/page-after'
        - $ref: '#/components/parameters/page-before'
        - $ref: '#/components/parameters/filter-ticket-flagged'
        - $ref: '#/components/parameters/filter-states-'
      responses:
        '200':
          description: OK
          headers:
            Link:
              schema:
                type: string
              description: Contains prev and next links for pagination
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    x-stoplight:
                      id: m79zsypmd8iqi
                    items:
                      $ref: '#/components/schemas/Load-LoadSummary-Read'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '404':
          $ref: '#/components/responses/Error'
        '406':
          $ref: '#/components/responses/Error'
      deprecated: true
components:
  parameters:
    Accept-Language:
      name: Accept-Language
      in: header
      schema:
        type: string
        default: en
        example: en
      description: >-
        The Accept-Language request HTTP header indicates the natural language
        and locale that the client prefers. 
    page-limit:
      name: page[limit]
      in: query
      schema:
        type: integer
        format: int32
        default: 25
        maximum: 100
      description: The maximum number of paginated results to return
    page-after:
      name: page[after]
      in: query
      required: false
      schema:
        type: string
      description: The cursor to start paginating after
    page-before:
      name: page[before]
      in: query
      required: false
      schema:
        type: string
      description: The cursor to stop paginating at
    filter-ticket-flagged:
      name: filter[ticket][flagged]
      in: query
      required: false
      schema:
        type: boolean
      description: Filter to only loads with flagged or unflagged tickets
    filter-states-:
      name: filter[states][]
      in: query
      required: false
      schema:
        type: array
        items:
          $ref: '#/components/schemas/LoadState'
      description: >-
        Filter loads by state. Multiple states can be provided to filter loads
        matching any of the specified states.
  schemas:
    Load-LoadSummary-Read:
      title: Load-LoadSummary-Read
      x-stoplight:
        id: bpd7bhh6daa34
      allOf:
        - $ref: '#/components/schemas/Load-Read'
        - type: object
          x-stoplight:
            id: vh2cd1y6d638j
          properties:
            load_summary:
              $ref: '#/components/schemas/LoadSummary-Read-Nested'
    LoadState:
      title: LoadState
      x-stoplight:
        id: 4gkn8rmkg2f8b
      enum:
        - created
        - to_pickup
        - arrived_pickup
        - loaded
        - to_dropoff
        - arrived_dropoff
        - unloaded
        - completed
        - canceled
        - paused
      example: created
      default: created
      readOnly: true
    Load-Read:
      title: Load-Read
      x-stoplight:
        id: bc1mwlgcjbftc
      allOf:
        - $ref: '#/components/schemas/Load-Read-Nested'
        - $ref: '#/components/schemas/Timestamps'
        - type: object
          required:
            - job_id
            - state
            - waypoints
            - notes
            - approved_at
          properties:
            foremen:
              type: array
              x-stoplight:
                id: 8rry07il0s1gx
              items:
                $ref: '#/components/schemas/User-Read-Nested'
            job_id:
              type: string
            state:
              $ref: '#/components/schemas/LoadState'
            phase:
              $ref: '#/components/schemas/Phase-Read'
            material:
              $ref: '#/components/schemas/Material-Read-Nested'
            waypoints:
              type: array
              x-stoplight:
                id: qvkaurm9getzl
              items:
                $ref: '#/components/schemas/Waypoint-Read-Nested'
            notes:
              type: string
              x-stoplight:
                id: r4c2vl4mcwxe5
              nullable: true
            approved_at:
              type: string
              x-stoplight:
                id: 67al3lns17iw
              format: date-time
              nullable: true
            approval_status:
              $ref: '#/components/schemas/Approval-Status'
            ai_review:
              $ref: '#/components/schemas/AiReview-Read-Nested'
        - $ref: '#/components/schemas/RoleApprovable'
          type: object
        - $ref: '#/components/schemas/MaterialRateAssignmentable'
    LoadSummary-Read-Nested:
      title: LoadSummary-Read-Nested
      x-stoplight:
        id: uoiw3xfqelvn0
      type: object
      required:
        - arrived_pickup_at
        - pickup_time_minutes
        - arrived_dropoff_at
        - dropoff_time_minutes
        - load_completed_at
        - loaded_at
        - unloaded_at
        - gps_minutes
        - has_gps_data
        - editable
        - travelled_distance_meters
      properties:
        arrived_pickup_at:
          type: string
          x-stoplight:
            id: mdew1ud6cbyhw
          format: date-time
          nullable: true
        pickup_time_minutes:
          type: integer
          x-stoplight:
            id: uc6b5zboqwf0h
        arrived_dropoff_at:
          type: string
          x-stoplight:
            id: esomolv4kx3xw
          format: date-time
          nullable: true
        dropoff_time_minutes:
          type: integer
          x-stoplight:
            id: chyvwwwbvxomq
        load_completed_at:
          type: string
          x-stoplight:
            id: aaavwwwbvxomq
          format: date-time
          nullable: true
        loaded_at:
          type: string
          x-stoplight:
            id: oqpdvyv4jzgwh
          format: date-time
          nullable: true
        unloaded_at:
          type: string
          x-stoplight:
            id: 9efdgjzklr53v
          format: date-time
          nullable: true
        gps_minutes:
          type: integer
          x-stoplight:
            id: qe0o5rkv58ph0
          minimum: 0
        has_gps_data:
          type: boolean
          x-stoplight:
            id: dgva6rsrz0vu1
        editable:
          type: boolean
          x-stoplight:
            id: 278ccz8ncalvb
          readOnly: true
        travelled_distance_meters:
          type: string
          x-stoplight:
            id: td4q7r8s9t0u1
          nullable: true
      additionalProperties: false
    UnauthenticatedError-Response:
      title: UnauthenticatedError-Response
      x-stoplight:
        id: o477eph7ttbzt
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/UnauthenticatedError'
      additionalProperties: false
    Error-Response:
      title: Error-Response
      x-stoplight:
        id: 52cydhphee3qe
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/Error'
      additionalProperties: false
    Load-Read-Nested:
      title: Load-Read-Nested
      x-stoplight:
        id: zpc98ohudvz2m
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          x-stoplight:
            id: 4rcl2v4mcwxe5
          required:
            - quantity
            - unit_of_measure
            - load_id
            - ordinality
          properties:
            quantity:
              type: string
              x-stoplight:
                id: 3crm24cakhqhf
              nullable: true
            unit_of_measure:
              $ref: '#/components/schemas/NullableOrderUnitOfMeasure'
            load_id:
              type: string
              x-stoplight:
                id: xwweeqwdfh9pg
            ordinality:
              type: integer
              x-stoplight:
                id: 4xdv8c9e9p4o8
            ticket:
              $ref: '#/components/schemas/Ticket-Read-Nested'
    Timestamps:
      title: Timestamps
      x-stoplight:
        id: t82ecgfu0oj00
      type: object
      required:
        - created_at
        - updated_at
      properties:
        created_at:
          type: string
          x-stoplight:
            id: gjj950jpq0ga9
          format: date-time
          description: ISO8601 timestamp with local timezone
        updated_at:
          type: string
          x-stoplight:
            id: bwcuyfwc7aj0e
          format: date-time
          description: ISO8601 timestamp with local timezone
      additionalProperties: false
    User-Read-Nested:
      title: User-Read-Nested
      x-stoplight:
        id: llvhpyfas0ekp
      allOf:
        - $ref: '#/components/schemas/User-Read-Typeahead'
        - $ref: '#/components/schemas/Discardable'
        - type: object
          x-stoplight:
            id: 6i4ku1oj5jnjs
          required:
            - email
            - phone
            - external_id
            - schedule_on
          properties:
            email:
              type: string
              x-stoplight:
                id: lyetvi4zixhq9
              nullable: true
            phone:
              type: string
              x-stoplight:
                id: 5dyog3jwd9m72
              description: User's E.164 formatted phone number
              nullable: true
            external_id:
              type: string
              x-stoplight:
                id: nk3qk35smj1ej
              nullable: true
            schedule_on:
              type: boolean
              x-stoplight:
                id: 5l8bajmm29c31
    Phase-Read:
      title: Phase-Read
      x-stoplight:
        id: t87rtwp61n8ry
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - code
            - primary
          properties:
            name:
              type: string
              x-stoplight:
                id: joxj6kldpdok8
            code:
              type: string
              x-stoplight:
                id: mtoxuvguckczq
              nullable: true
            primary:
              type: boolean
              x-stoplight:
                id: ww6q56py1x5wq
        - $ref: '#/components/schemas/Timestamps'
    Material-Read-Nested:
      title: Material-Read-Nested
      x-stoplight:
        id: 5hvekq1lnr9ku
      type: object
      required:
        - id
        - name
        - external_id
      properties:
        id:
          type: string
          x-stoplight:
            id: c6nool5iljv3l
          format: uuid
        name:
          type: string
          x-stoplight:
            id: bsd3m2c74jis8
        external_id:
          type: string
          description: Material external_id
          x-stoplight:
            id: ab0l0yvuz5u6d
          nullable: true
      additionalProperties: false
    Waypoint-Read-Nested:
      title: Waypoint-Read-Nested
      x-stoplight:
        id: s7xrqujvsvhq0
      allOf:
        - type: object
          properties:
            type:
              $ref: '#/components/schemas/WaypointType'
            ordinality:
              type: integer
              x-stoplight:
                id: fn4w5zg9n1hyl
            contact:
              $ref: '#/components/schemas/Contact-Read-Nested'
            site:
              $ref: '#/components/schemas/Site-Read-Nested'
          required:
            - type
            - ordinality
            - site
        - $ref: '#/components/schemas/Identifier'
    Approval-Status:
      title: Approval-Status
      x-stoplight:
        id: aegeztn5w5roc
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - biller_approved
            - company_admin_approved
            - driver_approved
            - foreman_approved
            - billing_approved_at
            - field_approved_at
          properties:
            biller_approved:
              type: boolean
              x-stoplight:
                id: nfc3nt03sl8bb
            company_admin_approved:
              type: boolean
              x-stoplight:
                id: 7h8yut8t1gc5m
            driver_approved:
              type: boolean
              x-stoplight:
                id: a5dbhqhyfjyvc
            foreman_approved:
              type: boolean
              x-stoplight:
                id: s1mr5k2nb6pp9
            billing_approved_at:
              type: string
              x-stoplight:
                id: igwmhwlt4rljp
              format: date-time
              nullable: true
            field_approved_at:
              type: string
              x-stoplight:
                id: ewrpq44soitt8
              format: date-time
              nullable: true
      description: Approval status
    AiReview-Read-Nested:
      title: AiReview-Read-Nested
      type: object
      x-stoplight:
        id: ai8r3v2ewn3st
      description: An AI-generated review nested within its parent entity.
      required:
        - id
        - status
        - confidence
        - summary
        - reasoning
        - issues
        - created_at
        - updated_at
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the AI review
        status:
          type: string
          enum:
            - flagged
            - unreadable
            - duplicate
            - approved
          description: The AI review status
        confidence:
          type: string
          description: AI confidence score from 0.00 to 1.00
          nullable: true
        summary:
          type: string
          description: Brief human-readable summary of the review outcome
          nullable: true
        reasoning:
          type: string
          description: Detailed explanation of the AI decision
          nullable: true
        issues:
          type: array
          items:
            type: string
          description: List of issues found during review
        created_at:
          type: string
          format: date-time
          description: When the review was created
        updated_at:
          type: string
          format: date-time
          description: When the review was last updated
      additionalProperties: false
    RoleApprovable:
      title: RoleApprovable
      x-stoplight:
        id: fie0647l1zmho
      type: object
      required:
        - approved
        - approvable
        - unapprovable
        - billing_approved_at
        - field_approved_at
      properties:
        approved:
          type: boolean
          x-stoplight:
            id: je3f3e9kzi9d8
        approvable:
          type: boolean
          x-stoplight:
            id: 3e8gmlshlm661
        unapprovable:
          type: boolean
          x-stoplight:
            id: 7t2cltf0njxtj
        billing_approved_at:
          type: string
          x-stoplight:
            id: f2bkkw0znb1uy
          format: date-time
          nullable: true
        field_approved_at:
          type: string
          x-stoplight:
            id: 78l5n1sakfgl3
          format: date-time
          nullable: true
      additionalProperties: false
    MaterialRateAssignmentable:
      title: MaterialRateAssignmentable
      x-stoplight:
        id: hb9gpvhsr3aj4
      type: object
      properties:
        material_rate_assignment:
          $ref: '#/components/schemas/MaterialRateAssignment-Read-Nested'
      additionalProperties: false
    UnauthenticatedError:
      title: UnauthenticatedError
      x-stoplight:
        id: 202o69l0fs40h
      allOf:
        - $ref: '#/components/schemas/Error'
        - type: object
          x-stoplight:
            id: tg10dt7s0l6bw
          properties:
            error_type:
              type: string
              x-stoplight:
                id: wvq8c0qsym4hz
          required:
            - error_type
    Error:
      title: Error
      x-stoplight:
        id: 3g57kkik3l464
      type: object
      description: An Error.
      required:
        - code
      properties:
        code:
          type: string
          x-stoplight:
            id: 7o9x1t8v0bgfo
      additionalProperties: false
    Identifier:
      title: Identifier
      x-stoplight:
        id: gnd39lue5v7ol
      type: object
      required:
        - id
      properties:
        id:
          type: string
          x-stoplight:
            id: 2e38hjk4zd58m
          format: uuid
      additionalProperties: false
    NullableOrderUnitOfMeasure:
      title: NullableOrderUnitOfMeasure
      x-stoplight:
        id: rtlna368z495u
      allOf:
        - $ref: '#/components/schemas/OrderUnitOfMeasure'
      type: string
      nullable: true
    Ticket-Read-Nested:
      title: Ticket-Read-Nested
      x-stoplight:
        id: sxhhxkcgkj6ep
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          x-stoplight:
            id: u7esfoogq8q49
          required:
            - ticket_number
            - preview_url
          properties:
            ticket_number:
              type: string
              x-stoplight:
                id: kzx5yw8vvwbra
              nullable: true
            preview_url:
              type: string
              x-stoplight:
                id: h1do11irp24bw
              format: uri
              nullable: true
    User-Read-Typeahead:
      title: User-Read-Typeahead
      x-stoplight:
        id: ttbbss5b5k66f
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - first_name
            - last_name
          properties:
            first_name:
              type: string
              description: First name
              x-stoplight:
                id: gwo999rcdahmg
            last_name:
              type: string
              description: Last name
              x-stoplight:
                id: l9omnnsq644bh
      description: ''
    Discardable:
      title: Discardable
      x-stoplight:
        id: 46axlb8u5wjay
      type: object
      required:
        - discarded_at
      properties:
        discarded_at:
          type: string
          x-stoplight:
            id: cy8t6fecoyxbo
          format: date-time
          nullable: true
      additionalProperties: false
    WaypointType:
      title: WaypointType
      x-stoplight:
        id: a8567v0zl3pi3
      enum:
        - pickup
        - drop_off
        - weigh_point
      example: pickup
    Contact-Read-Nested:
      title: Contact-Read-Nested
      x-stoplight:
        id: 3u6d8qhsz5ehn
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - email
            - phone
          properties:
            name:
              type: string
              x-stoplight:
                id: sd80y9pbgvkok
              nullable: true
            email:
              type: string
              x-stoplight:
                id: 883fmt34pdeaj
              nullable: true
            phone:
              type: string
              x-stoplight:
                id: wdtqyju4t4u06
              example: '+18885551234'
              nullable: true
      description: ''
    Site-Read-Nested:
      title: Site-Read-Nested
      x-stoplight:
        id: rt6xqxsfzf4iv
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - name
            - lat
            - lon
            - full_address
            - routable
          properties:
            name:
              type: string
              x-stoplight:
                id: 7r0x7wicrvwyy
            lat:
              type: string
              x-stoplight:
                id: cr6y5v0hdl5oo
              nullable: true
            lon:
              type: string
              x-stoplight:
                id: f23mkvamncbuw
              nullable: true
            address:
              $ref: '#/components/schemas/Address-Read-Nested'
            full_address:
              type: string
              x-stoplight:
                id: uxixxnmgfi47i
              nullable: true
            routable:
              type: boolean
              x-stoplight:
                id: uobfxkm0hujhv
            next_billion_geofence:
              $ref: '#/components/schemas/NextBillionGeofence-Read'
        - $ref: '#/components/schemas/Discardable'
    MaterialRateAssignment-Read-Nested:
      title: MaterialRateAssignment-Read-Nested
      x-stoplight:
        id: iddmbrcip2me5
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - type: object
          required:
            - sell_price
            - buy_price
            - unit_of_measure
          properties:
            sell_price:
              type: string
              x-stoplight:
                id: i2ac5k345i0bx
              nullable: true
            buy_price:
              type: string
              x-stoplight:
                id: 66qhs855s4pne
              nullable: true
            unit_of_measure:
              $ref: '#/components/schemas/NullableOrderUnitOfMeasure'
            site:
              $ref: '#/components/schemas/Site-Read-Nested'
    OrderUnitOfMeasure:
      title: OrderUnitOfMeasure
      x-stoplight:
        id: kahcgn7w8swdv
      enum:
        - Load
        - Tonne
        - Ton
        - Yard
        - Meter
        - Foot
        - Liter
        - Hour
        - Bushel
        - Gallon
        - CubicMeter
        - Mile
        - Kilometer
        - Barrel
        - Bag
        - Pallet
      example: Load
    Address-Read-Nested:
      title: Address-Read-Nested
      x-stoplight:
        id: cvym2dzuo375q
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - $ref: '#/components/schemas/Address-Read'
    NextBillionGeofence-Read:
      title: NextBillionGeofence-Read
      x-stoplight:
        id: 60y0z4bb3pu6m
      allOf:
        - $ref: '#/components/schemas/Identifier'
        - $ref: '#/components/schemas/Geofence-Data'
    Address-Read:
      title: Address-Read
      x-stoplight:
        id: v1mcd2qgns2tf
      type: object
      required:
        - thoroughfare
        - premise
        - locality
        - administrative_area
        - postal_code
        - country
        - lat
        - lon
        - place_id
      properties:
        thoroughfare:
          type: string
          x-stoplight:
            id: 8wrr7qkc9ilqn
        premise:
          type: string
          x-stoplight:
            id: z4jth408out1q
          nullable: true
        locality:
          type: string
          x-stoplight:
            id: kfby6wqpgvxbz
        administrative_area:
          type: string
          x-stoplight:
            id: c9bkrloxf4t8d
        postal_code:
          type: string
          x-stoplight:
            id: 7zq51k1mof3o3
        country:
          type: string
          x-stoplight:
            id: iydw9q619ya01
          pattern: ^[A-Z]{2}
          example: US
          minLength: 2
          maxLength: 2
        lat:
          type: string
          x-stoplight:
            id: kqu1qtf9rivh1
          description: |-
            latitude of the `Address`. 

            Must be a stringified number between -90 and 90 inclusive.

            Required if `lon` is present.
          nullable: true
        lon:
          type: string
          x-stoplight:
            id: oly2yabkzpk9g
          description: |-
            longitude of the `Address`. 

            Must be a stringified number between -180 and 180 inclusive.

            Required if `lat` is present.
          nullable: true
        place_id:
          type: string
          x-stoplight:
            id: im1fdq7qqxdij
          description: NextBillion placeID
          nullable: true
      additionalProperties: false
    Geofence-Data:
      title: Geofence-Data
      x-stoplight:
        id: ay73k76oae8gm
      type: object
      properties:
        id:
          type: string
          format: uuid
          x-stoplight:
            id: m9n8p7q6r5s4t
          description: NextBillionGeofence ID
        geofence:
          type: object
          x-stoplight:
            id: bo67u046r1ibk
          required:
            - name
            - type
          properties:
            id:
              type: string
              x-stoplight:
                id: nm2o97jli2zqm
              format: uuid
              description: NextBillion Geofence ID
            name:
              type: string
              x-stoplight:
                id: x5sp8wq8d2ack
            type:
              type: string
              x-stoplight:
                id: d91rv1gbtfkm0
              description: '`circle` or `polygon`'
            geojson:
              type: object
              x-stoplight:
                id: vk7dx7ipdbuxa
              required:
                - type
                - coordinates
              properties:
                type:
                  type: string
                  x-stoplight:
                    id: 65qatpxdox3e9
                  description: type should be `Polygon`
                coordinates:
                  type: array
                  x-stoplight:
                    id: 3an8g587wblcs
                  description: >-
                    This should be an enclosed polygon.


                    Example format:

                    [[[-118.226140484,34.048200454],[-118.22616052,34.046872766],[-118.226198738,34.04952736],[-118.226140484,34.048200454]]]
                  items:
                    x-stoplight:
                      id: 2kltvjxl5xks6
                    type: array
                    items:
                      x-stoplight:
                        id: k93dt39dghru4
                      type: array
                      items: {}
            circle_center:
              type: object
              x-stoplight:
                id: 6xr3h683f7cl9
              required:
                - lat
                - lon
              properties:
                lat:
                  type: number
                  x-stoplight:
                    id: y70xc1ptapv1g
                lon:
                  type: number
                  x-stoplight:
                    id: uy3twrpcueq9m
            circle_radius:
              type: number
              x-stoplight:
                id: qrnq301sqfl3d
            tag:
              x-stoplight:
                id: debfy3x1l48zc
              enum:
                - pickup
                - loading
                - drop_off
                - unloading
                - check_in
                - scaling
                - ticketing
              deprecated: true
        moving_geofence:
          type: boolean
          x-stoplight:
            id: y15533dbr62js
          default: false
        tag:
          $ref: '#/components/schemas/GeofenceTag'
        geofence_type:
          $ref: '#/components/schemas/NullableGeofenceType'
      additionalProperties: false
    GeofenceTag:
      title: GeofenceTag
      x-stoplight:
        id: anytkmb3ydi6c
      enum:
        - scaling
        - site
        - loading
        - unloading
        - check_in
        - ticketing
    NullableGeofenceType:
      title: NullableGeofenceType
      x-stoplight:
        id: ii94t82oqh5xo
      allOf:
        - $ref: '#/components/schemas/GeofenceType'
      nullable: true
      type: string
    GeofenceType:
      title: GeofenceType
      x-stoplight:
        id: geahowr9r8ly1
      nullable: true
      enum:
        - moving
        - circle
        - polygon
      readOnly: true
  responses:
    UnauthenticatedError:
      description: Example response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthenticatedError-Response'
            type: object
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error-Response'
            type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````